•  
      request #10486 Upgrade dependency paragonie/random_compat to the latest version
    Infos
    #10486
    Thomas Gerbet (tgerbet)
    2017-08-18 16:18
    2017-07-20 15:18
    10449
    Details
    Upgrade dependency paragonie/random_compat to the latest version
    Tuleap currently use the version 1.4.1 when the version 1.4.2 has been released since a few months and contains some small bugfixes and internal security improvement.

    I'm going to use this upgrade to introduce the usage of Composer in the Tuleap codebase.
    Other
    Empty
    Empty
    • [ ] enhancement
    • [x] internal improvement
    Empty
    Stage
    Empty
    Closed
    2017-08-18
    Attachments
    Empty
    References

    Follow-ups

    • User avatar
      Thomas Gerbet (tgerbet)2017-08-18 16:18
      Dev guide has been updated and development communication channels has been notified of the new mandatory dependency to composer.

      • Status changed from Under review to Closed
      • Close date set to 2017-08-18
    • User avatar
      gerrit #9028 integrated into Tuleap 9.11.99.11

      I let you close this after the dev guide is updated.

    • User avatar
      Thomas Gerbet (tgerbet)2017-07-20 15:47
      A patch is under review: gerrit #9028.

      The developer guide will be updated with the new information when this contribution is integrated.

      • Status changed from Under implementation to Under review